
Redmine - Patch #6475

Add an option to set the project name from apache when authenticating with Redmine.pm

2010-09-23 14:08 - Sergio Talens-Oliag

Status: New Start date: 2010-09-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Description

I have some repositories that are configured with SVNPath instead

of SVNParentPath (I'm doing it to be able to use additional

authentication methods them, see issue #6414).

With the current Redmine.pm code (1.0.1) the authentication against

Redmine fails because the project_id is not guessed as it should

(the apache Location points to the repository, not to it's parent

path).

To solve the problem I've patched Redmine.pm to allow the use of a

new option that adjusts the project_id to use; if the option is set

the get_project_identifier function returns that name instead of

calculating it from the URI and the apache location).

The attached patch is against an export of the redmine-1.0.1 tag.

History

#1 - 2010-09-23 14:10 - Sergio Talens-Oliag

- File Redmine.pm-Get_project_id_from_apache.diff added

#2 - 2011-03-29 07:14 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

Files

Redmine.pm-Get_project_id_from_apache.diff 1 KB 2010-09-23 Sergio Talens-Oliag

Redmine.pm-Get_project_id_from_apache.diff 2.12 KB 2010-09-23 Sergio Talens-Oliag
